﻿<Graph ClassName="BAccountExtOTC" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using PX.Data.EP;
using PX.Data.ReferentialIntegrity.Attributes;
using PX.Data;
using PX.Objects.AP;
using PX.Objects.AR;
using PX.Objects.CR.MassProcess;
using PX.Objects.CR;
using PX.Objects.CS;
using PX.Objects.EP;
using PX.Objects.GL;
using PX.Objects.TX;
using PX.Objects;
using PX.SM;
using PX.TM;
using System.Collections.Generic;
using System.Diagnostics;
using System;

namespace PX.Objects.CR
{
    public class BAccountExtOTC : PXCacheExtension<PX.Objects.CR.BAccount>
    {
        #region UsrRequireGRRef 
        [PXDBBool]
        [PXDefault(false, PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Require GR Reference")]
        public virtual bool? UsrRequireGRRef { get; set; }
        public abstract class usrRequireGRRef : PX.Data.BQL.BqlBool.Field<usrRequireGRRef> { }
        #endregion
          
        #region UsrBusinessStyle 
        [PXDBString(50)]
        [PXUIField(DisplayName = "Business Style")]
        public virtual string UsrBusinessStyle { get; set; }
        public abstract class usrBusinessStyle : PX.Data.BQL.BqlString.Field<usrBusinessStyle> { }
        #endregion
          
        #region UsrOtherIdentification 
        [PXDBString(50)]
        [PXUIField(DisplayName = "Other Identification")]
        public virtual string UsrOtherIdentification { get; set; }
        public abstract class usrOtherIdentification : PX.Data.BQL.BqlString.Field<usrOtherIdentification> { }
        #endregion
    }
}]]></CDATA>
</Graph>